#!/usr/bin/env python3
"""send-lighting-command.py : utility to transmit a lighting command using OSC
"""
import argparse, time
import numpy as np

from pythonosc import osc_message_builder
from pythonosc import udp_client

#================================================================
if __name__ == "__main__":
    parser = argparse.ArgumentParser( description = "Send a lighting command using OSC.")
    parser.add_argument( '-q','--quiet', action='store_true', help="Run without viewer window or console output.")
    parser.add_argument( '--debug', action='store_true', help='Enable debugging output to log file.' )
    parser.add_argument( '--verbose', action='store_true', help='Enable even more detailed logging output.' )
    parser.add_argument("--ip", default="127.0.0.1",  help="IP address of the OSC receiver (default: %(default)s).")
    parser.add_argument("--port", type=int, default=20000,  help="OSC receiver UDP port (default: %(default)s).")
    args = parser.parse_args()

    client = udp_client.SimpleUDPClient(args.ip, args.port)

    for i in range(8):
        client.send_message("/fixture", [i, 0])

    client.send_message("/fixture", [8, 0, 0, 0, 0])
    client.send_message("/fixture", [9, 0, 0, 0, 0])
