#!/usr/bin/env python3
"""send-motor-command.py : utility to transmit a motor command using OSC
"""
import argparse, time
import numpy as np

from pythonosc import osc_message_builder
from pythonosc import udp_client

#================================================================
if __name__ == "__main__":
    parser = argparse.ArgumentParser( description = "Send a motor command using OSC.")
    parser.add_argument( '-q','--quiet', action='store_true', help="Run without viewer window or console output.")
    parser.add_argument( '--debug', action='store_true', help='Enable debugging output to log file.' )
    parser.add_argument( '--verbose', action='store_true', help='Enable even more detailed logging output.' )
    parser.add_argument("--ip", default="127.0.0.1",  help="IP address of the OSC receiver (default: %(default)s).")
    parser.add_argument("--port", type=int, default=21000,  help="OSC receiver UDP port (default: %(default)s).")
    args = parser.parse_args()

    client = udp_client.SimpleUDPClient(args.ip, args.port)

    client.send_message("/target", [100.0, 10.0, 10.0, 10.0])
