# Global configuration settings.

# IP address of the dedicated theater server
theater_IP = '172.24.26.199'

# OSC UDP port for director
director_UDP_port = 22000

# OSC UDP port(s) for lighting commands
# lighting_host_IP = '127.0.0.1'
lighting_host_IP = '0.0.0.0'
lighting_UDP_port = 20000
lighting_units = 1

# OSC UDP port(s) for motor commands.  The motor servers occupy sequential UDP port numbers.
# motor_host_IP = '127.0.0.1'
motor_host_IP = '0.0.0.0'
motor_UDP_port = 21000
motor_units = 4

# Lighting fixture definitions.
fixtures = [
    # DP-415 dimmer:
    {'name': "white",   'dmx' : 0,  'channels' : 1},
    {'name': "blue",    'dmx' : 1,  'channels' : 1},
    {'name': "magenta", 'dmx' : 2,  'channels' : 1},
    {'name': "straw",   'dmx' : 3,  'channels' : 1},

    # DP-415 dimmer:
    {'name': "black",   'dmx' : 4,  'channels' : 1},
    {'name': "unused1", 'dmx' : 5,  'channels' : 1},
    {'name': "unused2", 'dmx' : 6,  'channels' : 1},
    {'name': "fan",     'dmx' : 7,  'channels' : 1},

    # SlimParPro:
    {'name': "rgba1",   'dmx' : 8,  'channels' : 4},

    # SlimParPro:
    {'name': "rgba2",   'dmx' : 12, 'channels' : 4},
    ]

# Motor unit definitions.
motor_devices = {'suitcase': 0, # currently ACM1
                 'square'  : 1, # currently ACM3
                 'round'   : 2, # currently ACM0
                 'spare'   : 3} # currently ACM2
